# -*- coding: utf-8 -*-
import pymel.core as pm
from mtoa.ui.ae.shaderTemplate import ShaderAETemplate

class AEaiColorJitterTemplate(ShaderAETemplate):
    def setup(self):
        self.addSwatch()
        self.beginScrollLayout()

        self.addControl('input', label='输入')

        self.beginLayout('用户数据', collapse=False)
        self.addControl('dataInput', label='数据')
        self.addControl('dataGainMin', label='最小增益')
        self.addControl('dataGainMax', label='最大增益')
        self.addControl('dataHueMin', label='最小色调')
        self.addControl('dataHueMax', label='最大色调')
        self.addControl('dataSaturationMin', label='最小饱和度')
        self.addControl('dataSaturationMax', label='最大饱和度')
        self.addControl('dataSeed', label='种子')
        self.endLayout()

        self.beginLayout('程序', collapse=False)
        self.addControl('procGainMin', label='最小增益')
        self.addControl('procGainMax', label='最大增益')
        self.addControl('procHueMin', label='最小色调')
        self.addControl('procHueMax', label='最大色调')
        self.addControl('procSaturationMin', label='最小饱和度')
        self.addControl('procSaturationMax', label='最大饱和度')
        self.addControl('procSeed', label='种子')
        self.endLayout()

        self.beginLayout('对象', collapse=False)
        self.addControl('objGainMin', label='最小增益')
        self.addControl('objGainMax', label='最大增益')
        self.addControl('objHueMin', label='最小色调')
        self.addControl('objHueMax', label='最大色调')
        self.addControl('objSaturationMin', label='最小饱和度')
        self.addControl('objSaturationMax', label='最大饱和度')
        self.addControl('objSeed', label='种子')
        self.endLayout()

        self.beginLayout('面向', collapse=False)
        self.addControl('faceGainMin', label='最小增益')
        self.addControl('faceGainMax', label='最大增益')
        self.addControl('faceHueMin', label='最小色调')
        self.addControl('faceHueMax', label='最大色调')
        self.addControl('faceSaturationMin', label='最小饱和度')
        self.addControl('faceSaturationMax', label='最大饱和度')
        self.addControl('faceSeed', label='种子')
        self.endLayout()


        pm.mel.AEdependNodeTemplate(self.nodeName)

        self.addExtraControls()
        self.endScrollLayout()


